Skip to main content
GET
Get Authzen Policy

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

App identifier.

id
string
required

Policy identifier.

Response

200 - application/json

AuthzenServerServiceGetAuthzenPolicyResponse returns the requested policy revision.

AuthzenServerServiceGetAuthzenPolicyResponse returns the requested policy revision.

authzenPolicy
Authzen Policy · object | null

AuthzenPolicy is one immutable CEL policy revision scoped to an app. A revision is never edited in place; activate it by setting a server's active_policy_id.

This message contains a oneof named engine. Only a single field of the following list may be set at a time:

  • cel